org.apache.struts2.validators

## Class DWRValidator.ValidatorActionInvocation

- java.lang.Object
- - com.opensymphony.xwork2.DefaultActionInvocation
  - - org.apache.struts2.validators.DWRValidator.ValidatorActionInvocation

- All Implemented Interfaces:
    ActionInvocation
  Enclosing class:
    DWRValidator

      public static class DWRValidator.ValidatorActionInvocation
      extends DefaultActionInvocation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.ActionInvocation

      `ActionInvocation.LegacyAdapter`

  - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.DefaultActionInvocation

      `action, actionEventListener, asyncAction, asyncManager, container, executed, explicitResult, extraContext, interceptors, invocationContext, lazyParamInjector, objectFactory, ognlUtil, preResultListeners, proxy, pushAction, result, resultCode, stack, unknownHandlerManager, valueStackFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValidatorActionInvocation(Map<String,Object> extraContext, boolean pushAction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `invokeAction(Object action, ActionConfig actionConfig)`

    - ### Methods inherited from class com.opensymphony.xwork2.DefaultActionInvocation

      `addPreResultListener, createAction, createContextMap, createInterceptors, createResult, executeConditional, getAction, getInvocationContext, getProxy, getResult, getResultCode, getStack, init, invoke, invokeActionOnly, isExecuted, prepareLazyParamInjector, saveResult, setActionEventListener, setAsyncManager, setContainer, setObjectFactory, setOgnlUtil, setResultCode, setUnknownHandlerManager, setValueStackFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.ActionInvocation

      `adapt, addPreResultListener, init, setActionEventListener`

- - ### Constructor Detail

    - #### ValidatorActionInvocation

          protected ValidatorActionInvocation(Map<String,Object> extraContext,
                                              boolean pushAction)
                                       throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### invokeAction

          protected String invokeAction(Object action,
                                        ActionConfig actionConfig)
                                 throws Exception

      Overrides:
        `invokeAction` in class `DefaultActionInvocation`
      Throws:
        `Exception`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.